### Function

# GLib Completion new

deprecated: 2.26

#### Declaration

    GCompletion*
    g_completion_new (
      GCompletionFunc func
    )

#### Description

Creates a new `GCompletion`.

Deprecated since: 2.26

Rarely used API.

This function is not directly available to language bindings.

#### Parameters

`func`

  Type: `GCompletionFunc`

  The function to be called to return the string representing an item in the `GCompletion`, or `NULL` if strings are going to be used as the `GCompletion` items.

#### Return value

Type: `GCompletion`

The new `GCompletion`.

The data is owned by the called function.